{% extends 'admin_connected_base.html.twig' %}

{% block title %}Les destinations
{% endblock %}

{% block body %}
<div class="container border border-success rounded p-4 ">
	<div class="bg-light p-3">
		<h3>
			{% set pr = app.request.attributes.get('id') %}
			{% if pr != 0 %}
				Modifier les caractéristiques de votre destination :
			{% else %}
				Creer une nouvelle destination :
			{% endif %}
		</h3>
		<a href="{{ path('admin_destinations')}}" class="btn btn-primary mt-2 float-right">
			<i class="bi bi-arrow-return-left"></i>
			Retour à la liste des destinations</a>
	</div>

	{{ form_start(form, {'action' : path('destination_createOrEdit',{"id" : pr}), 'method': 'POST', 'attr' : {'class' : 'font-weight-bold'}}) }}
	{{ form_row(form.name) }}
	{% if images_path is not empty %}
		{{ form_row(form.images, {'label' : 'Ajouter d\'autre images','attr' : { 'accept' : 'image/*',
                    'multiple' : 'multiple', 'required' : false, 'class' : 'form-control mb-2'} }) }}
		  {% for image_path in images_path %}
		  <img  width = "100" height = "100" src="{{ asset(image_path)}}" alt=" image de {{ image_path}}" class="img-fluid"/>
	    {% endfor %}
		{% else %}
			{{ form_row(form.images,{'label' : 'Images','attr' : { 'accept' : 'image/*',
                    'multiple' : 'multiple', 'class' : 'form-control mb-2'} }) }}
		{% endif %}	
			{{ form_row(form.price) }}
			{{ form_row(form.travelTime) }}
			{{ form_row(form.description) }}
			<button class="btn btn-primary mt-3" type="submit">Enregistrer</button>
			{{ form_end(form) }}
		</div>
	{% endblock %}
